package cn.rankin.common.utils.util;

import cn.rankin.common.utils.dto.product.LessonDTO;
import com.alibaba.fastjson.JSON;
import lombok.Data;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class ListToMapUtil<K, V> {

    private List<V> list = new ArrayList<>();

    public ListToMapUtil(List<V> list) {
        this.list = list;
    }

    public Map<K, V> parse(String key) {
        Map<K, V> map = new HashMap<>();
        list.forEach(v -> {
            K k = null;
            try {
                Field field = v.getClass().getDeclaredField(key);
                field.setAccessible(true);
                k = (K) field.get(v);
            }catch (Exception e) {
                throw new RuntimeException(e.getCause());
            }
            map.put((K) k, v);
        });
        return map;
    }

    public static void main(String[] args) {
        List<LessonDTO> list = new ArrayList<>();
        for (int i = 0; i < 10; i++) {
            LessonDTO tmp = new LessonDTO();
            tmp.setCode(String.valueOf(i));
            list.add(tmp);
        }

        ListToMapUtil<String, LessonDTO> mapUtil = new ListToMapUtil(list);
        System.out.println(JSON.toJSONString(mapUtil.parse("code")));
    }
}
