package cn.rankin.productservice.entity;

import cn.rankin.common.utils.enums.CourseSubTypeEnum;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Data
@ToString
@Entity
@Table(name = "lj_course_sub_relation")
@DynamicInsert
@DynamicUpdate
public class CourseSubRelation implements Serializable {

    @Id
    private String id;

    @Column(name = "course_id")
    private String courseId;

    @Column(name = "sub_id")
    private String subId;

    @Column
    @Enumerated(EnumType.ORDINAL)
    private CourseSubTypeEnum type;

    @Column
    private Integer sort;

    @Column(name = "gmt_created", updatable = false, insertable = false)
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreated;
}
