package cn.rankin.productservice.entity;

import cn.rankin.common.utils.enums.PriceTypeEnum;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Data
@ToString
@Entity
@Table(name = "lj_item_price",  uniqueConstraints = {@UniqueConstraint(columnNames = {"item_id", "type", "duration"})})
@DynamicInsert
@DynamicUpdate
public class ItemPrice implements Serializable {

    @Id
    @GeneratedValue(generator = "uuid")
    @GenericGenerator(name = "uuid", strategy = "uuid")
    private String id;

    @Column
    private String name;

    @Column(name = "item_id")
    private String itemId;

    @Column
    @Enumerated(EnumType.ORDINAL)
    private PriceTypeEnum type;

    @Column
    private Integer duration;

    @Column(name = "cp_price")
    private Double cpPrice;

    @Column(name = "merchant_price")
    private Double merchantPrice;

    @Column(name = "terminal_price")
    private Double terminalPrice;

    @Column
    private Integer status;

    @Column(name = "gmt_created", updatable = false, insertable = false)
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreated;

    @Column(name = "gmt_modified")
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtModified;
}
