package cn.rankin.productservice.entity;

import cn.rankin.common.utils.enums.ItemStatusEnum;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Data
@ToString
@Entity
@Table(name = "lj_package")
@DynamicInsert
@DynamicUpdate
public class Package implements Serializable {

    @Id
    private String id;

    @Column(name = "merchant_id")
    private String merchantId;

    @Column
    private String name;

    @Column
    private String digest;

    @Column(name = "cv_img_ids")
    private String cvImgIds;

    @Column(name = "dis_price")
    private Double disPrice;

    @Column
    private Integer sort;

    @Column
    @Enumerated(EnumType.ORDINAL)
    private ItemStatusEnum status;

    @Column(name = "gmt_created", updatable = false, insertable = false, columnDefinition = "timestamp NULL DEFAULT CURRENT_TIMESTAMP")
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreated;

    @Column(name = "gmt_modified", updatable = false, insertable = false, columnDefinition = "timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP")
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtModified;
}
