package cn.rankin.productservice.entity;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;
import java.util.Set;

@Data
@ToString
@Entity
@Table(name = "lj_support")
@DynamicInsert
@DynamicUpdate
public class Support implements Serializable {

    @Id
    private String id;

    @Column
    private String code;

    @Column
    private String name;

    @Column
    private String title;

    @Column
    private String digest;

    @Column
    private String detail;

    @Column(name = "img_ids")
    private String imgIds;

    @Column
    @Enumerated(EnumType.ORDINAL)
    private BaseStatusEnum status;

    @Column(name = "gmt_created", insertable = false, updatable = false)
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreated;

    @Column(name = "gmt_modified")
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtModified;

    @ManyToMany(fetch = FetchType.EAGER)
    @JoinTable(name = "lj_support_reference", joinColumns = {@JoinColumn(name = "fid", referencedColumnName = "id")},
            inverseJoinColumns = {@JoinColumn(name = "tid", referencedColumnName = "id")})
    private Set<Support> supportList;
}
