package cn.rankin.productservice.repository;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.productservice.entity.Course;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.transaction.annotation.Transactional;

public interface CourseRepository extends BasicJpaRepository<Course, String> {

    Long countByCode(String code);

    Course findById(String id);

    @Transactional
    @Modifying(clearAutomatically = true)
    @Query(value = "update Course c set c.status = :status where c.id = :id")
    Integer updateStatusById(@Param("id") String id, @Param("status") BaseStatusEnum status);
}
