package cn.rankin.productservice.repository;

import cn.rankin.common.utils.enums.ItemStatusEnum;
import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.productservice.entity.Item;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import javax.transaction.Transactional;

public interface ItemRepository extends BasicJpaRepository<Item, String> {

    @Transactional
    @Modifying(clearAutomatically = true)
    @Query(value = "update Item i set i.status = :status where i.id = :itemId")
    Integer updateStatusById(@Param("itemId") String itemId, @Param("status") ItemStatusEnum status);
}
