package cn.rankin.productservice.repository;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.productservice.entity.Support;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface SupportRepository extends BasicJpaRepository<Support, String> {

    Long countByCode(String code);

    Long countByIdIn(List<String> ids);

    @Transactional
    @Modifying(clearAutomatically = true)
    @Query(value = "update Support s set s.status = :status where s.id = :id")
    Integer updateStatusById(@Param("id") String id, @Param("status") BaseStatusEnum status);
}
