package cn.rankin.productservice.repository;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.productservice.entity.Tag;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


public interface TagRepository extends BasicJpaRepository<Tag, String> {

    Long countByIdIn(List<String> ids);

    Long countByCode(String code);

    @Transactional
    @Modifying(clearAutomatically = true)
    @Query(value = "update Tag t set t.status = :status where t.id = :id")
    Integer updateStatusById(@Param("id") String id, @Param("status") BaseStatusEnum status);
}
