package cn.rankin.productservice.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.CourseSubTypeEnum;
import cn.rankin.productservice.entity.Lesson;
import lombok.Data;
import org.springframework.beans.BeanUtils;

import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import java.io.Serializable;
import java.util.Date;

@Data
public class CourseSubItemVo implements Serializable{

    private String id;

    private String code;

    private String name;

    private String digest;

    private CourseSubTypeEnum type;

    private BaseStatusEnum status;

    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreated;

    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtModified;

    public static CourseSubItemVo parseToVo(Lesson lesson) {
        CourseSubItemVo vo = new CourseSubItemVo();
        BeanUtils.copyProperties(lesson, vo);
        vo.setType(CourseSubTypeEnum.LESSON);
        return vo;
    }
}
